> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Eval Config Records

> Lists the records for an AI evaluation configuration.



## OpenAPI

````yaml get /eval_configs/{id}/records
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /eval_configs/{id}/records:
    get:
      summary: List Eval Config Records
      description: Lists the records for an AI evaluation configuration.
      operationId: listEvalConfigRecords
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
          description: ID of the eval config.
        - in: query
          name: limit
          schema:
            type: integer
            nullable: false
            default: 100
          description: The maximum number of records to fetch.
          required: false
        - in: query
          name: cursor
          schema:
            type: string
          required: false
          description: The pagination cursor returned by the previous request.
        - in: query
          name: search
          schema:
            type: string
          required: false
          description: Optional search filter for record names or IDs.
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AIEvalRecord'
                  cursor:
                    type: string
                    nullable: true
                    description: >-
                      A cursor you can pass to fetch the next page. If no next
                      page exists, the cursor will be null.
                required:
                  - data
                  - cursor
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    AIEvalRecord:
      type: object
      properties:
        id:
          type: string
          nullable: false
        recordType:
          $ref: '#/components/schemas/AIEvalRecordType'
        dialId:
          type: string
          nullable: true
        prompt:
          $ref: '#/components/schemas/AIEvalPrompt'
          nullable: true
      required:
        - id
        - recordType
    AIEvalRecordType:
      type: string
      enum:
        - DIAL
        - PROMPT
      description: The type of evaluation record.
      nullable: false
    AIEvalPrompt:
      type: object
      properties:
        id:
          type: string
          nullable: false
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        systemPrompt:
          type: string
          nullable: false
        maxTurns:
          type: integer
          nullable: false
        agentInputs:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
          nullable: false
      required:
        - id
        - systemPrompt
        - maxTurns
        - createdAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````